package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.BisHiddZeroAssess;

/**
 * 隐患零报告考核 数据层
 */
@Mapper
public interface BisHiddZeroAssessMapper {

    /**
     * 查询隐患零报告考核信息
     * @param id 查询条件
     * @return 隐患零报告考核信息
     */
    BisHiddZeroAssess selectBisHiddZeroAssessById(Long id);

    /**
     * 查询隐患零报告考核列表
     * @param bisHiddZeroAssess 隐患零报告考核查询条件
     * @return 隐患零报告考核集合
     */
    List<BisHiddZeroAssess> selectBisHiddZeroAssessList(BisHiddZeroAssess bisHiddZeroAssess);

    /**
     * 新增隐患零报告考核
     * @param bisHiddZeroAssess 隐患零报告考核信息
     * @return 影响行数
     */
    int insertBisHiddZeroAssess(BisHiddZeroAssess bisHiddZeroAssess);

    /**
     * 修改隐患零报告考核
     * @param bisHiddZeroAssess 隐患零报告考核信息
     * @return 影响行数
     */
    int updateBisHiddZeroAssess(BisHiddZeroAssess bisHiddZeroAssess);

    /**
     * 删除隐患零报告考核
     * @param id 隐患零报告考核主键
     * @return 影响行数
     */
    int deleteBisHiddZeroAssessById(Long id);

    /**
     * 批量删除隐患零报告考核
     * @param ids 隐患零报告考核主键数组
     * @return 影响行数
     */
    int deleteBisHiddZeroAssessByIds(Long[] ids);
}
